class Tag < ApplicationRecord
  validates :name, presence: true, length: { maximum: 255 }
  validates :category, presence: true, inclusion: { in: categories.keys }

  enum category: { deerjikist:  'deerjikist',
                   meme:        'meme',
                   character:   'character',
                   general:     'general',
                   material:    'material',
                   nico:        'nico',
                   meta:        'meta' }

  scope :nico_tags, -> { where(category: :nico) }
end
